#include <iostream>

using namespace std;

int main()
{
    int n,i,q,p=0,t=0,br,j=1;
    int a[100];
    int b[100];
    cin>>n;
    for(i=0;i<n;i++){
        cin>>a[i];
    }
    cin>>q;
    for(i=0;i<q*2;i++){
        cin>>b[i];
    }
    for(i=0;i<q*q;i++){
        br=b[t]-1;
        for(i=b[t];i<b[t+1];i++){


            if(a[br]>a[br+1]){
                p++;

            }
            br++;

        }
        if(p>1){
            cout<<"NE"<<endl;
        }
        else{
            cout<<"DA"<<endl;
        }
        t+=2;
        p=0;
        if(j==q){
            break;
        }
        j++;
    }
    return 0;
}